Online ora  

/v1/bid/

Manages all bid related functions
GET

/v1/bid/get_feedback_suggestions

#
Get up to five of the acting concierge's previously submitted custom feedback responses.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
search string No "" optional literal text to match.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/bid/get_feedback_suggestions' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'search={{search}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$bid_get_feedback_suggestions_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadarray Sì
$.oneOf[0].allOf[1].Payload[]object No
$.oneOf[0].allOf[1].Payload[].textstring Sì
$.oneOf[0].allOf[1].Payload[].lastUsedstring Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_feedback_suggestions",
    "RequestUserAlias": "example-user",
    "Payload": []
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/bid/get_list

#
Returns available bids without a publication delay, subject to access restrictions.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
creatorUserAlias string No "" Alias of user who created the bids, if empty all bids will be returned
locationAlias string No "" locationAlias if this item is a bid. Slug found after the slash when opening a location in the portal
pageSize int No 5000 Defines how many results will be return per request
pageNumber int No 0 Defines which page should be returned
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/bid/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'creatorUserAlias={{creatorUserAlias}}' \
  --data-urlencode 'locationAlias={{locationAlias}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$bid_get_list_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" Sì
$.oneOf[0].allOf[1].Payload.ResponseBodyobject Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.Name = "All Active Bids" Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationobject Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation.NumberBidsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation.VolumeActiveBidsnumber Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation.Descriptionstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidIDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidUUIDstring | null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatedDatestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidAmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidAmount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidAmount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isPremiumDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isPremium.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isPremium.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAlias Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAlias.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAlias.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationName Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationName.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationName.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].inventoryTypeID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].communityBidDiscussionLink Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].communityBidDiscussionLink.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].communityBidDiscussionLink.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidStartTimestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidEndTimestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidTimeRangeUnitCount.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatorUserAlias Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatorUserAlias.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].bidCreatorUserAlias.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].heldByUserAlias Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].heldByUserAlias.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].heldByUserAlias.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].customSearchRequestString Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].customSearchRequestString.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].customSearchRequestString.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatusobject Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.statusstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.labelstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.messagestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.sponsorAliasstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.sponsorChatLinkstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.sponsorStatusstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.moveOwnershipUnavailableReasonstring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.moveOwnershipUnavailableMessagestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canPickupboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canDropboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canFillboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canMoveOwnershipboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canShortlistboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canDiscussboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canChatboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.requiresSponsorboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.canFillDirectlyboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.fillRateBasisPointsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.minimumFillRateBasisPointsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.missingHoldPermissionsarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.missingHoldPermissions[]string No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.directFillNoticeboolean No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.directFillAvailabilitystring ["available","unavailable","selection_pending","seller_ineligible"] No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auctionURLstring No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auctionobject No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.venuestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.startTimestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.endTimestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.bidIDinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.bidAmountCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.roundID Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.roundID.anyOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.roundID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.statestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.serverTimeinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.closesAt.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.enabledboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.openingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.incrementCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.leadingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.nextCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.estimatedFeesCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.remainingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.leadingboolean Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.priorityUntilnull Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.priorityMine = false Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffersarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[]object No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].idinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].amountCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].statestring Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.ownOffers[].refundCentsinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.eligibilityError Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.eligibilityError.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.eligibilityError.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.holdAppointmentID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.auction.buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.poolRequiredboolean No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0]object No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].roundIDinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].statestring ["collecting","immediate"] Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].closesAtinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[0].serverTimeinteger Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].pickupAvailabilityStatus.responseRound.anyOf[1]null No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAddress Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAddress.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].locationAddress.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray Sì
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string No
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "All Active Bids",
            "MetaInformation": {
                "NumberBids": 0,
                "VolumeActiveBids": 0,
                "Description": "synthetic-example"
            },
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/bid/get_pickup_requirements

#
Returns the seller pickup state and confirmation data for one bid.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
bidID int Sì — numeric bid ID
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/bid/get_pickup_requirements' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'bidID={{bidID}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$bid_get_pickup_requirements_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadobject Sì
$.oneOf[0].allOf[1].Payload.bidobject Sì
$.oneOf[0].allOf[1].Payload.bid.requestModestring ["general","specific"] Sì
$.oneOf[0].allOf[1].Payload.bid.operationalExpiry Sì
$.oneOf[0].allOf[1].Payload.bid.operationalExpiry.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.bid.operationalExpiry.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptionsarray Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[]object No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ATLocation_IDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ATLocationInventoryType_IDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].TimeRangeUnitCountinteger Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].Quantityinteger Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].LocationNamestring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].LocationAliasstring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].InventoryTypeNamestring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].StartDatestring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].EndDatestring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].StartTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].EndTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].PartySize No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].PartySize.anyOf[0]integer No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].PartySize.anyOf[1]null No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].CheckOutDate No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].CheckOutDate.anyOf[0]string No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].CheckOutDate.anyOf[1]null No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].Constraintsarray No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].Constraints[]string No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ExcludedVenuesarray No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].ExcludedVenues[]string No
$.oneOf[0].allOf[1].Payload.bid.acceptedOptions[].OperationalProjectionboolean NoTrue for a general request’s operational concierge anchor; these dates/location are not resolved fulfillment facts.
$.oneOf[0].allOf[1].Payload.bid.deliverableTypestring ["fulfillment","research"] Sì
$.oneOf[0].allOf[1].Payload.bid.researchScope Sì
$.oneOf[0].allOf[1].Payload.bid.researchScope.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.bid.researchScope.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.bidIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.amountinteger Sì
$.oneOf[0].allOf[1].Payload.bid.buyerUserIDinteger | null Sì
$.oneOf[0].allOf[1].Payload.bid.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.discussionPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.bidUUIDstring Sì
$.oneOf[0].allOf[1].Payload.bid.createdDatestring Sì
$.oneOf[0].allOf[1].Payload.bid.currentHolderLastUpdateDatestring Sì
$.oneOf[0].allOf[1].Payload.bid.amountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.bid.directHireTargetLabelstring Sì
$.oneOf[0].allOf[1].Payload.bid.locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.bid.locationNamestring Sì
$.oneOf[0].allOf[1].Payload.bid.locationAddressstring Sì
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeNamestring Sì
$.oneOf[0].allOf[1].Payload.bid.customRequeststring Sì
$.oneOf[0].allOf[1].Payload.bid.startTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.endTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.bid.buyerAliasstring | null Sì
$.oneOf[0].allOf[1].Payload.bid.currentHolderAliasstring Sì
$.oneOf[0].allOf[1].Payload.bid.submissionURLstring Sì
$.oneOf[0].allOf[1].Payload.bid.appointmentUUIDstring Sì
$.oneOf[0].allOf[1].Payload.bid.appointmentStatusstring Sì
$.oneOf[0].allOf[1].Payload.bid.respondByTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.respondByLabelstring Sì
$.oneOf[0].allOf[1].Payload.bid.fillURLstring Sì
$.oneOf[0].allOf[1].Payload.bid.fillListingURLstring Sì
$.oneOf[0].allOf[1].Payload.bid.discussionURLstring Sì
$.oneOf[0].allOf[1].Payload.bid.privateChatUserAliasstring | null Sì
$.oneOf[0].allOf[1].Payload.bid.privateChatNamestring | null Sì
$.oneOf[0].allOf[1].Payload.bid.notestring Sì
$.oneOf[0].allOf[1].Payload.bid.isPremiumboolean Sì
$.oneOf[0].allOf[1].Payload.bid.isShortlistedboolean Sì
$.oneOf[0].allOf[1].Payload.bid.isDirectHireboolean Sì
$.oneOf[0].allOf[1].Payload.bid.isCustomConciergeRequestboolean Sì
$.oneOf[0].allOf[1].Payload.bid.locationHasRegulationRestrictionsboolean Sì
$.oneOf[0].allOf[1].Payload.bid.submissionRejectedByReviewerboolean Sì
$.oneOf[0].allOf[1].Payload.bid.directHireTargetsarray Sì
$.oneOf[0].allOf[1].Payload.bid.directHireTargets[]object No
$.oneOf[0].allOf[1].Payload.bid.directHireTargets[].userIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.directHireTargets[].aliasstring Sì
$.oneOf[0].allOf[1].Payload.bid.locationID Sì
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.bid.locationID.anyOf[1] = "" Sì
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID Sì
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.bid.inventoryTypeID.anyOf[1] = "" Sì
$.oneOf[0].allOf[1].Payload.bid.currentHolderUserID Sì
$.oneOf[0].allOf[1].Payload.bid.currentHolderUserID.anyOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.currentHolderUserID.anyOf[1] = "" Sì
$.oneOf[0].allOf[1].Payload.bid.submissionLifecyclestring ["held","changes_requested","in_review","submitted","confirmation_required","completed","closed"] Sì
$.oneOf[0].allOf[1].Payload.bid.submittedAt Sì
$.oneOf[0].allOf[1].Payload.bid.submittedAt.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.bid.submittedAt.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposalTokenstring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].chatIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].chatURLstring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].actionButtonIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].createdDatestring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposedLocationNamestring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposedTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].proposedInventoryTypeNamestring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[0].summarystring Sì
$.oneOf[0].allOf[1].Payload.bid.pendingChangeProposal.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.viewsobject Sì
$.oneOf[0].allOf[1].Payload.bid.views.24HoursDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.views.24Hours.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.views.24Hours.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.bid.views.AlltimeDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.views.Alltime.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.views.Alltime.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.bid.actionStateobject Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.statusstring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.labelstring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.messagestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.sponsorAliasstring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.sponsorChatLinkstring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.sponsorStatusstring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.moveOwnershipUnavailableReasonstring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.moveOwnershipUnavailableMessagestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canPickupboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canDropboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canFillboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canMoveOwnershipboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canShortlistboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canDiscussboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canChatboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.requiresSponsorboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.canFillDirectlyboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.fillRateBasisPointsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.minimumFillRateBasisPointsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.missingHoldPermissionsarray Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.missingHoldPermissions[]string No
$.oneOf[0].allOf[1].Payload.bid.actionState.directFillNoticeboolean No
$.oneOf[0].allOf[1].Payload.bid.actionState.directFillAvailabilitystring ["available","unavailable","selection_pending","seller_ineligible"] No
$.oneOf[0].allOf[1].Payload.bid.actionState.auctionURLstring No
$.oneOf[0].allOf[1].Payload.bid.actionState.auctionobject No
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.venuestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.startTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.endTimestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.bidIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.bidAmountCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.roundID Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.roundID.anyOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.roundID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.statestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.serverTimeinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.closesAt.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.enabledboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.openingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.incrementCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.leadingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.nextCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.estimatedFeesCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.remainingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.leadingboolean Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.priorityUntilnull Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.priorityMine = false Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffersarray Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[]object No
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].idinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].amountCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].statestring Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.ownOffers[].refundCentsinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.eligibilityError Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.eligibilityError.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.eligibilityError.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.holdAppointmentID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.bid.actionState.auction.buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.bid.actionState.poolRequiredboolean No
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound No
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0]object No
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].roundIDinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].statestring ["collecting","immediate"] Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].closesAtinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[0].serverTimeinteger Sì
$.oneOf[0].allOf[1].Payload.bid.actionState.responseRound.anyOf[1]null No
$.oneOf[0].allOf[1].Payload.bid.buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.bid.buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.actionStateobject Sì
$.oneOf[0].allOf[1].Payload.actionState.statusstring Sì
$.oneOf[0].allOf[1].Payload.actionState.labelstring Sì
$.oneOf[0].allOf[1].Payload.actionState.messagestring Sì
$.oneOf[0].allOf[1].Payload.actionState.sponsorAliasstring Sì
$.oneOf[0].allOf[1].Payload.actionState.sponsorChatLinkstring Sì
$.oneOf[0].allOf[1].Payload.actionState.sponsorStatusstring Sì
$.oneOf[0].allOf[1].Payload.actionState.moveOwnershipUnavailableReasonstring Sì
$.oneOf[0].allOf[1].Payload.actionState.moveOwnershipUnavailableMessagestring Sì
$.oneOf[0].allOf[1].Payload.actionState.canPickupboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canDropboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canFillboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canMoveOwnershipboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canShortlistboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canDiscussboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canChatboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.requiresSponsorboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.canFillDirectlyboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.fillRateBasisPointsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.minimumFillRateBasisPointsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.missingHoldPermissionsarray Sì
$.oneOf[0].allOf[1].Payload.actionState.missingHoldPermissions[]string No
$.oneOf[0].allOf[1].Payload.actionState.directFillNoticeboolean No
$.oneOf[0].allOf[1].Payload.actionState.directFillAvailabilitystring ["available","unavailable","selection_pending","seller_ineligible"] No
$.oneOf[0].allOf[1].Payload.actionState.auctionURLstring No
$.oneOf[0].allOf[1].Payload.actionState.auctionobject No
$.oneOf[0].allOf[1].Payload.actionState.auction.venuestring Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.startTimestring Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.endTimestring Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.bidIDinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.bidAmountCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.roundID Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.roundID.anyOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.roundID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.statestring Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.serverTimeinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.closesAt.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.enabledboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.openingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.incrementCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.leadingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.nextCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.estimatedFeesCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.remainingCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.leadingboolean Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.priorityUntilnull Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.priorityMine = false Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffersarray Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[]object No
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].idinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].amountCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].statestring Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.ownOffers[].refundCentsinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.eligibilityError Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.eligibilityError.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.eligibilityError.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.holdAppointmentID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.actionState.auction.buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.actionState.auction.buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.actionState.poolRequiredboolean No
$.oneOf[0].allOf[1].Payload.actionState.responseRound No
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0]object No
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].roundIDinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].statestring ["collecting","immediate"] Sì
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].closesAtinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[0].serverTimeinteger Sì
$.oneOf[0].allOf[1].Payload.actionState.responseRound.anyOf[1]null No
$.oneOf[0].allOf[1].Payload.maxHoldDays Sì
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[0]DatabaseNumber SìNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[0].oneOf[0]number Sì
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.maxHoldDays.anyOf[1]boolean Sì
$.oneOf[0].allOf[1].Payload.maxCurrentHolds Sì
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload.maxCurrentHolds.anyOf[1]boolean Sì
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_pickup_requirements",
    "RequestUserAlias": "example-user",
    "Payload": {
        "bid": {
            "requestMode": "general",
            "operationalExpiry": "synthetic-example",
            "acceptedOptions": [],
            "deliverableType": "fulfillment",
            "researchScope": "synthetic-example",
            "bidID": 0,
            "amount": 0,
            "buyerUserID": 0,
            "appointmentID": 0,
            "discussionPostID": 0,
            "bidUUID": "synthetic-example",
            "createdDate": "synthetic-example",
            "currentHolderLastUpdateDate": "synthetic-example",
            "amountFormatted": "synthetic-example",
            "directHireTargetLabel": "synthetic-example",
            "locationAlias": "synthetic-example",
            "locationName": "synthetic-example",
            "locationAddress": "synthetic-example",
            "inventoryTypeName": "synthetic-example",
            "customRequest": "synthetic-example",
            "startTime": "synthetic-example",
            "endTime": "synthetic-example",
            "timeLabel": "synthetic-example",
            "buyerAlias": "synthetic-example",
            "currentHolderAlias": "synthetic-example",
            "submissionURL": "synthetic-example",
            "appointmentUUID": "synthetic-example",
            "appointmentStatus": "synthetic-example",
            "respondByTime": "synthetic-example",
            "respondByLabel": "synthetic-example",
            "fillURL": "synthetic-example",
            "fillListingURL": "synthetic-example",
            "discussionURL": "synthetic-example",
            "privateChatUserAlias": "synthetic-example",
            "privateChatName": "synthetic-example",
            "note": "synthetic-example",
            "isPremium": false,
            "isShortlisted": false,
            "isDirectHire": false,
            "isCustomConciergeRequest": false,
            "locationHasRegulationRestrictions": false,
            "submissionRejectedByReviewer": false,
            "directHireTargets": [],
            "locationID": 0,
            "inventoryTypeID": 0,
            "currentHolderUserID": 0,
            "submissionLifecycle": "held",
            "submittedAt": "synthetic-example",
            "pendingChangeProposal": {
                "proposalToken": "synthetic-example",
                "chatID": 0,
                "chatURL": "synthetic-example",
                "actionButtonID": 0,
                "createdDate": "synthetic-example",
                "proposedLocationName": "synthetic-example",
                "proposedTimeLabel": "synthetic-example",
                "proposedInventoryTypeName": "synthetic-example",
                "summary": "synthetic-example"
            },
            "views": {
                "24Hours": 0,
                "Alltime": 0
            },
            "actionState": {
                "status": "synthetic-example",
                "label": "synthetic-example",
                "message": "synthetic-example",
                "sponsorAlias": "synthetic-example",
                "sponsorChatLink": "synthetic-example",
                "sponsorStatus": "synthetic-example",
                "moveOwnershipUnavailableReason": "synthetic-example",
                "moveOwnershipUnavailableMessage": "synthetic-example",
                "canPickup": false,
                "canDrop": false,
                "canFill": false,
                "canMoveOwnership": false,
                "canShortlist": false,
                "canDiscuss": false,
                "canChat": false,
                "requiresSponsor": false,
                "canFillDirectly": false,
                "fillRateBasisPoints": 0,
                "minimumFillRateBasisPoints": 0,
                "missingHoldPermissions": []
            }
        },
        "actionState": {
            "status": "synthetic-example",
            "label": "synthetic-example",
            "message": "synthetic-example",
            "sponsorAlias": "synthetic-example",
            "sponsorChatLink": "synthetic-example",
            "sponsorStatus": "synthetic-example",
            "moveOwnershipUnavailableReason": "synthetic-example",
            "moveOwnershipUnavailableMessage": "synthetic-example",
            "canPickup": false,
            "canDrop": false,
            "canFill": false,
            "canMoveOwnership": false,
            "canShortlist": false,
            "canDiscuss": false,
            "canChat": false,
            "requiresSponsor": false,
            "canFillDirectly": false,
            "fillRateBasisPoints": 0,
            "minimumFillRateBasisPoints": 0,
            "missingHoldPermissions": []
        },
        "maxHoldDays": 0,
        "maxCurrentHolds": 0
    }
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/bid/get_required_feedback

#
Returns active notified bids the acting seller is eligible to pick up at their currently followed locations. An empty array clears prior requests.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/bid/get_required_feedback' \
  --data-urlencode 'key={{API_KEY}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$bid_get_required_feedback_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payloadarray Sì
$.oneOf[0].allOf[1].Payload[]object No
$.oneOf[0].allOf[1].Payload[].ATLocation_IDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATLocation_ID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload[].ATLocation_ID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload[].FeedbackLocationNamestring Sì
$.oneOf[0].allOf[1].Payload[].ATLocation_Aliasstring Sì
$.oneOf[0].allOf[1].Payload[].ATLocation_Namestring Sì
$.oneOf[0].allOf[1].Payload[].ATBids_AmountDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATBids_Amount.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload[].ATBids_Amount.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload[].StartTimestring Sì
$.oneOf[0].allOf[1].Payload[].EndTimestring Sì
$.oneOf[0].allOf[1].Payload[].ATLocationInventoryType_Name Sì
$.oneOf[0].allOf[1].Payload[].ATLocationInventoryType_Name.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload[].ATLocationInventoryType_Name.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload[].RequestString Sì
$.oneOf[0].allOf[1].Payload[].RequestString.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload[].RequestString.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID Sì
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[0]DatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[0].oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[0].oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload[].ATDiscussionPosts_ID.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload[].BidUUIDstring | null Sì
$.oneOf[0].allOf[1].Payload[].ATBids_IDDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATBids_ID.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload[].ATBids_ID.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload[].ATBids_IsPremiumDatabaseInteger SìInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].ATBids_IsPremium.oneOf[0]integer Sì
$.oneOf[0].allOf[1].Payload[].ATBids_IsPremium.oneOf[1]string Sì
$.oneOf[0].allOf[1].Payload[].buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload[].buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_required_feedback",
    "RequestUserAlias": "example-user",
    "Payload": []
}
Documentazione dell’endpoint leggibile dalle macchine
GET

/v1/bid/get_submission

#
Returns the acting submitter's private bid confirmation or immutable completed receipt.

Parametri

NomeTipoObbligatorioPredefinitoDescrizione
bidID int Sì — Bid ID.
Esempio di richiesta (cURL)
curl --get \
  'https://it.appointmenttrader.com/v1/bid/get_submission' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'bidID={{bidID}}'

Risposta

JSON
See the shared response schema and synthetic example.
Campi della risposta
CampoTipoObbligatorioDescrizione
$bid_get_submission_Response Sì
$.oneOf[0] Sì
$.oneOf[0].allOf[0]object Sì
$.oneOf[0].allOf[0].RequestUserAliasstring Sì
$.oneOf[0].allOf[0].RequestPathstring | null Sì
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Sì
$.oneOf[0].allOf[0].ResponseCodeinteger Sì
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Sì
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Sì
$.oneOf[0].allOf[1].Payload Sì
$.oneOf[0].allOf[1].Payload.oneOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true No
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.status Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.status.anyOf[0]string ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.status.anyOf[1] = "" Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submissionobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.bidIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.bidUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.revisionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.statusstring ["Draft","Submitted","In Review","Rejected","CONFIRMATION_REQUIRED","COMPLETED","CLOSED"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.submittedAt Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.submittedAt.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.submittedAt.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.canCorrectboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.correctionError Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.correctionError.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.correctionError.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.lifecyclestring ["held","changes_requested","in_review","submitted","confirmation_required","completed","closed"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.rejectedByReviewerboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.canSelfReviewboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.historyarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[]object No
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].reviewerUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].createdDatestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].createdLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].descriptionTextstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].descriptionHTMLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].reviewerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translationobject No
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.contextstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.endpointstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.sourceLanguageCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.targetLanguageCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.receiverLanguageCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.targetLanguageNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.sourceContentHashstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.bodystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.originalTitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.originalBodystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.reviewHistoryIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.notificationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.statestring ["done","eligible"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.eligibleboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.history[].translation.cachedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.historicalDetailsUnavailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.oneOf[0].submission.buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.oneOf[1]object Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "submission-receipt" Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].accessobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].access.role = "submission" Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].access.readOnly = true Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].actionsarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submissionobject Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.bidIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.appointmentIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.bidUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.listingUUIDstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.revisionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.statusstring ["Draft","Submitted","In Review","Rejected","CONFIRMATION_REQUIRED","COMPLETED","CLOSED"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.submittedAt Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.submittedAt.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.submittedAt.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.canCorrectboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.correctionError Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.correctionError.anyOf[0]string Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.correctionError.anyOf[1]null Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.lifecyclestring ["held","changes_requested","in_review","submitted","confirmation_required","completed","closed"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.rejectedByReviewerboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.canSelfReviewboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.historyarray Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[]object No
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].idinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].reviewerUserIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].createdDatestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].createdLabelstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].statusstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].descriptionstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].descriptionTextstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].descriptionHTMLstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].reviewerAliasstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translationobject No
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.contextstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.endpointstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.sourceLanguageCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.targetLanguageCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.receiverLanguageCodestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.targetLanguageNamestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.sourceContentHashstring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.titlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.bodystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.originalTitlestring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.originalBodystring Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.reviewHistoryIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.notificationIDinteger Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.statestring ["done","eligible"] Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.eligibleboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.history[].translation.cachedboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.historicalDetailsUnavailableboolean Sì
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.buyerIdentityHiddenboolean NoTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.oneOf[1].submission.buyerIdentityHiddenUntilinteger | null NoLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[1]object Sì
$.oneOf[1].RequestUserAliasstring Sì
$.oneOf[1].RequestPathstring | null Sì
$.oneOf[1].RequestStatus = "Failed" Sì
$.oneOf[1].ResponseCodeinteger Sì
$.oneOf[1].ResponseMessageAPIResponseMessage Sì
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Sì
$.oneOf[1].ResponseMessage.oneOf[1]array Sì
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Sì
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Esempio di risposta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/bid/get_submission",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        },
        "submission": {
            "bidID": 0,
            "appointmentID": 0,
            "bidUUID": "synthetic-example",
            "listingUUID": "synthetic-example",
            "revision": "synthetic-example",
            "status": "Draft",
            "submittedAt": "synthetic-example",
            "canCorrect": false,
            "correctionError": "synthetic-example",
            "lifecycle": "held",
            "rejectedByReviewer": false,
            "canSelfReview": false,
            "history": [],
            "historicalDetailsUnavailable": false
        }
    }
}
Documentazione dell’endpoint leggibile dalle macchine
POST

/v1/bid/set

#
[...]
